Summary: Finds files on a system via a central database.
Name: slocate
Version: 1.4
Release: 7
Copyright: GPL
Group: Applications/File
Source: ftp://ftp.mkintraweb.com/pub/linux/slocate/slocate-1.4.tar.gz
Source1: locate.1
Source2: slocate.cron
Source3: updatedb.1
Patch1: slocate-updatedb.patch
Buildroot: /var/tmp/slocate-root
Prereq: shadow-utils

%description
slocate searches through a central database (updated nightly) for files
which match a given glob pattern. This allows you to quickly find files
anywhere on your system.

%prep
%setup -q
%patch1 -p1 -b .updatedb
%build
make CFLAGS="$RPM_OPT_FLAGS"

%install
mkdir -p $RPM_BUILD_ROOT/usr/bin
mkdir -p $RPM_BUILD_ROOT/usr/man/man1
mkdir -p $RPM_BUILD_ROOT/etc/cron.daily
mkdir -p $RPM_BUILD_ROOT/var/lib/slocate
install -s slocate $RPM_BUILD_ROOT/usr/bin
ln -sf slocate $RPM_BUILD_ROOT/usr/bin/locate
ln -sf slocate $RPM_BUILD_ROOT/usr/bin/updatedb
ln -sf slocate.1 $RPM_BUILD_ROOT/usr/man/man1/locate.1
install %{SOURCE1} $RPM_BUILD_ROOT/usr/man/man1
install %{SOURCE2} $RPM_BUILD_ROOT/etc/cron.daily
install %{SOURCE3} $RPM_BUILD_ROOT/usr/man/man1

%clean
rm -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/groupadd -g 21 -r -f slocate

%files
%defattr(-,root,root)
%attr(2755,root,slocate) /usr/bin/slocate
%attr(-,root,slocate) /usr/bin/locate
%attr(-,root,slocate) /usr/bin/updatedb
%attr(644,root,root) /usr/man/man1/locate.1
%attr(644,root,root) /usr/man/man1/slocate.1
%attr(644,root,root) /usr/man/man1/updatedb.1
%attr(755,root,root) /etc/cron.daily/slocate.cron
%dir %attr(755,root,slocate) /var/lib/slocate

%changelog
* Mon Apr 19 1999 Bill Nottingham <notting@redhat.com>
- fix updatedb cron script

* Mon Apr 12 1999 Bill Nottingham <notting@redhat.com>
- add updatedb as a link to slocate
- add an updatedb man page

* Fri Mar 26 1999 Michael Maher <mike@redhat.com>
- added man page

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 3)

* Mon Feb 15 1999 Bill Nottingham <notting@redhat.com>
- %post groupadd changed to %pre 
